Import Skill from External Source
POST
/api/v3/organizations/{organisation}/ai/skills/import
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/skills/import';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"source":{"type":"skills.sh","url":"example","repo":"example","path":"example","version":"example"},"name":"example","description":"example","tags":["example"],"triggerCondition":"example","requiredTools":["example"],"disableModelInvocation":true,"allowedTools":["example"],"installedBy":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/skills/import \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "source": { "type": "skills.sh", "url": "example", "repo": "example", "path": "example", "version": "example" }, "name": "example", "description": "example", "tags": [ "example" ], "triggerCondition": "example", "requiredTools": [ "example" ], "disableModelInvocation": true, "allowedTools": [ "example" ], "installedBy": "example" }'Imports a skill from an external source like skills.sh registry or GitHub repository.
*
* Supported Sources:
* - skills.sh: Import from the skills.sh community registry
* - github: Import from a GitHub repository (public or private)
*
* Version Control:
* - Skills can be pinned to specific versions
* - Use the sync endpoint to update to latest version
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
source
required
object
type
required
string
url
string
repo
string
path
string
version
string
name
string
description
string
tags
Array<string>
triggerCondition
string
requiredTools
Array<string>
disableModelInvocation
boolean
allowedTools
Array<string>
installedBy
string
Responses
Section titled “Responses”Skill imported successfully
Media typeapplication/json
object
skill
object
message
string
Examplegenerated
{ "skill": {}, "message": "example"}Invalid request parameters
Access denied
Failed to import skill
Failed to fetch skill from source
